Modify

#120 closed defect (obsolete)

stripping some chars in message to chatroom

Reported by: EvilZluk Owned by: Jelmer Vernooij
Priority: minor Milestone:
Component: OSCAR Version: 1.0.1
Keywords: Cc:
IRC client+version: XChat 2.6.1-1 Operating System: Linux
OS version/distro: Windows XP [AMD Athlon/994.00MHz]

Description

Hello,

I just discover a strage bug:

When I send message to chatroom (OSCAR Network: AIM) in charset Windows-1251 (Cyrillic) - all of participants seeing message without char 'я' (U+044F: Cyrillic Small Letter Ya), for example: Original message: <EvilZluk> йцукенгшщзхъфывапролджэячсмитьбю <EvilZluk> ЙЦУКЕНГШЩЗХЪФЫВАПРОЛДЖЭЯЧСМИТЬБЮ I see: <EvilZluk> йцукенгшщзхъфывапролджэ чсмитьбю <EvilZluk> ЙЦУКЕНГШЩЗХЪФЫВАПРОЛДЖЭЯЧСМИТЬБЮ

This bug is only in chatroom, the regular message without bugs...

Attachments (0)

Change History (5)

comment:1 Changed at 2006-03-31T22:13:58Z by wilmer

Hmmm, I guess there's no way that you can try a current development version to see if this problem is gone?

comment:2 Changed at 2006-03-31T22:14:15Z by wilmer

Priority: majornormal

comment:3 Changed at 2006-05-05T16:10:51Z by wilmer

I think I saw some flaws in charset handling in chatroom code while digging through OSCAR code a little while ago. Will take a closer look when I get the time.

comment:4 Changed at 2014-07-07T11:55:12Z by dx

Priority: normalminor

Not a single comment in 8 years... welp. That missing character, encoded to windows-1251, is 0xFF. That might explain some things. Getting someone to try to reproduce this thing would be cool, it might not happen anymore.

comment:5 Changed at 2016-10-18T08:10:10Z by dx

Resolution: obsolete
Status: newclosed

Just going to close this instead. If anyone cares, comment/reopen.

Modify Ticket

Action
as closed The owner will remain Jelmer Vernooij.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.